nxt.http.responses

## Interface BlockResponse

-     public interface BlockResponse

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BlockResponse` | `create(JO object)`
    `static BlockResponse` | `create(org.json.simple.JSONObject object)`
    `long` | `getBaseTarget()`
    `java.lang.String` | `getBlock()`
    `long` | `getBlockId()`
    `byte[]` | `getBlockSignature()`
    `java.math.BigInteger` | `getCumulativeDifficulty()`
    `java.util.List<java.lang.Long>` | `getExecutedPhasedTransactionIds()`
    `java.util.List<TransactionResponse>` | `getExecutedPhasedTransactions()`
    `byte[]` | `getGenerationSignature()`
    `java.lang.String` | `getGenerator()`
    `long` | `getGeneratorId()`
    `byte[]` | `getGeneratorPublicKey()`
    `java.lang.String` | `getGeneratorRs()`
    `int` | `getHeight()`
    `java.lang.String` | `getNextBlock()`
    `long` | `getNextBlockId()`
    `int` | `getNumberOfTransactions()`
    `java.util.List<byte[]>` | `getParentTransactionFullHashes()`
    `java.util.List<TransactionResponse>` | `getParentTransactions()`
    `byte[]` | `getPayloadHash()`
    `java.lang.String` | `getPreviousBlock()`
    `byte[]` | `getPreviousBlockHash()`
    `long` | `getPreviousBlockId()`
    `int` | `getTimestamp()`
    `long` | `getTotalFeeFQT()`
    `byte` | `getVersion()`

- - ### Method Detail

    - #### create

          static BlockResponse create(org.json.simple.JSONObject object)

    - #### create

          static BlockResponse create(JO object)

    - #### getBlockId

          long getBlockId()

    - #### getBlock

          java.lang.String getBlock()

    - #### getHeight

          int getHeight()

    - #### getGeneratorId

          long getGeneratorId()

    - #### getGenerator

          java.lang.String getGenerator()

    - #### getGeneratorRs

          java.lang.String getGeneratorRs()

    - #### getGeneratorPublicKey

          byte[] getGeneratorPublicKey()

    - #### getTimestamp

          int getTimestamp()

    - #### getNumberOfTransactions

          int getNumberOfTransactions()

    - #### getTotalFeeFQT

          long getTotalFeeFQT()

    - #### getVersion

          byte getVersion()

    - #### getBaseTarget

          long getBaseTarget()

    - #### getCumulativeDifficulty

          java.math.BigInteger getCumulativeDifficulty()

    - #### getPreviousBlockId

          long getPreviousBlockId()

    - #### getPreviousBlock

          java.lang.String getPreviousBlock()

    - #### getNextBlockId

          long getNextBlockId()

    - #### getNextBlock

          java.lang.String getNextBlock()

    - #### getPayloadHash

          byte[] getPayloadHash()

    - #### getGenerationSignature

          byte[] getGenerationSignature()

    - #### getPreviousBlockHash

          byte[] getPreviousBlockHash()

    - #### getBlockSignature

          byte[] getBlockSignature()

    - #### getParentTransactionFullHashes

          java.util.List<byte[]> getParentTransactionFullHashes()

    - #### getParentTransactions

          java.util.List<TransactionResponse> getParentTransactions()

    - #### getExecutedPhasedTransactionIds

          java.util.List<java.lang.Long> getExecutedPhasedTransactionIds()

    - #### getExecutedPhasedTransactions

          java.util.List<TransactionResponse> getExecutedPhasedTransactions()